Summarize a workspace library, ingestions, failures and storage
curl --request GET \
--url https://api.refmatter.com/v1/workspaces/{workspaceId}/usage \
--cookie social_session=const options = {method: 'GET', headers: {cookie: 'social_session='}};
fetch('https://api.refmatter.com/v1/workspaces/{workspaceId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/workspaces/{workspaceId}/usage"
headers = {"cookie": "social_session="}
response = requests.get(url, headers=headers)
print(response.text){
"workspaceId": "<string>",
"windowDays": 123,
"references": {
"total": 4503599627370495,
"ready": 4503599627370495,
"processing": 4503599627370495,
"failed": 4503599627370495
},
"ingestions": {
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495,
"inFlight": 4503599627370495
},
"failuresByCode": [
{
"code": "invalid_input",
"count": 4503599627370495
}
],
"storedMediaBytes": 4503599627370495,
"activeApiKeys": 4503599627370495,
"generatedAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}workspaces
Summarize a workspace library, ingestions, failures and storage
GET
/
v1
/
workspaces
/
{workspaceId}
/
usage
Summarize a workspace library, ingestions, failures and storage
curl --request GET \
--url https://api.refmatter.com/v1/workspaces/{workspaceId}/usage \
--cookie social_session=const options = {method: 'GET', headers: {cookie: 'social_session='}};
fetch('https://api.refmatter.com/v1/workspaces/{workspaceId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.refmatter.com/v1/workspaces/{workspaceId}/usage"
headers = {"cookie": "social_session="}
response = requests.get(url, headers=headers)
print(response.text){
"workspaceId": "<string>",
"windowDays": 123,
"references": {
"total": 4503599627370495,
"ready": 4503599627370495,
"processing": 4503599627370495,
"failed": 4503599627370495
},
"ingestions": {
"total": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495,
"inFlight": 4503599627370495
},
"failuresByCode": [
{
"code": "invalid_input",
"count": 4503599627370495
}
],
"storedMediaBytes": 4503599627370495,
"activeApiKeys": 4503599627370495,
"generatedAt": "<string>"
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "invalid_input",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"details": {}
}
}Authorizations
Path Parameters
Opaque workspace identifier
Response
Usage over the trailing window
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-7[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Required range:
x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Pattern:
^\d{4}-(0[1-9]|1[0-2])-([0-2]\d|3[01])T([01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-](?:[01]\d|2[0-3]):[0-5]\d)$